Bug 20679 - Remove 'rows per page' from reports print layout
Summary: Remove 'rows per page' from reports print layout
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jasmine Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-04-29 22:10 UTC by Katrin Fischer
Modified: 2019-02-25 09:39 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20679: Created syspref to hide/show 'rows per page' from reports print layout (4.90 KB, patch)
2019-01-16 04:06 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 20679: Removed 'rows per page' from report print layout (895 bytes, patch)
2019-01-16 20:57 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 20679: Removed 'rows per page' from report print layout (940 bytes, patch)
2019-01-16 23:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20679: Removed 'rows per page' from report print layout (1004 bytes, patch)
2019-01-17 06:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-04-29 22:10:42 UTC
The print layout of a run report would be a little nicer if the 'rows per page' option would not show.
Comment 1 Jasmine Amohia 2019-01-16 04:06:10 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-01-16 15:56:14 UTC
Jasmine, this patch works very well but I don't think it accomplishes what the bug is about. My understanding is that the bug refers specifically to the way the page looks when printed. To hide something in the print view we need to address it using the print stylesheet, intranet-tmpl/prog/css/print.css.

There is a ruleset starting at about line 289 which just lists elements which should be "display:none" when printed. I think all you need to do is add the id of the "Rows per page" form to that list.
Comment 3 Jasmine Amohia 2019-01-16 20:57:56 UTC
Created attachment 84092 [details] [review]
Bug 20679: Removed 'rows per page' from report print layout

Test plan:
1. Create a report or view an existing report
2. Notice that 'Rows per page:' is visible
3. Print report (Ctrl+P)
4. Confirm that on printed report, 'Rows per page:' is no longer visible
Comment 4 Owen Leonard 2019-01-16 23:37:57 UTC
Created attachment 84107 [details] [review]
Bug 20679: Removed 'rows per page' from report print layout

Test plan:
1. Create a report or view an existing report
2. Notice that 'Rows per page:' is visible
3. Print report (Ctrl+P)
4. Confirm that on printed report, 'Rows per page:' is no longer visible

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2019-01-17 06:24:05 UTC
Created attachment 84126 [details] [review]
Bug 20679: Removed 'rows per page' from report print layout

Test plan:
1. Create a report or view an existing report
2. Notice that 'Rows per page:' is visible
3. Print report (Ctrl+P)
4. Confirm that on printed report, 'Rows per page:' is no longer visible

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-01-28 16:09:43 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-01 13:07:05 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Jesse Maseto 2019-02-06 18:06:21 UTC
Pushed to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-02-12 15:30:55 UTC
Pushed to 17.11.x for 17.11.15